export function extractTagsFromSearchTerm(term) {
    const searchItems = [];
    const tags = new Set();
    const parts = term.split(/\s+/g);
    for (const part of parts) {
        if (/^#.+/.test(part)) {
            const raw = part.replace(/^#/, "");
            tags.add(raw.toLowerCase());
        }
        else if (part.length > 0) {
            searchItems.push(part);
        }
    }
    return {
        tags: [...tags],
        term: searchItems.join(" ").trim()
    };
}
export function tagsMatchSearch(searchTags, entryTags) {
    return searchTags.every((searchTag) => entryTags.some((entryTag) => entryTag.indexOf(searchTag) === 0));
}
