import { SearchResult, SearcherFactory } from "./BaseSearch.js";
import { VaultSource } from "../core/VaultSource.js";
import { StorageInterface } from "../storage/StorageInterface.js";
import { VaultEntrySearch } from "./VaultEntrySearch.js";
export declare class VaultSourceEntrySearch extends VaultEntrySearch {
    _sources: Array<VaultSource>;
    constructor(sources: Array<VaultSource>, memory?: StorageInterface, searcherFactory?: SearcherFactory);
    /**
     * Last search results
     * @deprecated Use `getResults` instead
     */
    get results(): Array<SearchResult>;
    /**
     * Get last search results
     * @returns An array of results
     */
    getResults(): Array<SearchResult>;
    /**
     * Search for entries by term
     * @param term The term to search for
     * @returns An array of search results
     */
    searchByTerm(term: string): Array<SearchResult>;
    /**
     * Search for entries by URL
     * @param url The URL to search with
     * @returns An array of search results
     */
    searchByURL(url: string): Array<SearchResult>;
}
